using System.Collections;
using System.Collections.Generic;
using System;
using Godot;
using System.Threading.Tasks;


namespace Rokojori.Reallusion
{  
  public class CCImportTool
  {  
    public CCImportFile Read( string path )
    {
      var data = FilesSync.LoadUTF8( path );
      var json = JSON.Parse( data );

      var ccImportFile = new CCImportFile();
      ccImportFile.path = path;
      ccImportFile.ReadFrom( json );

      return ccImportFile;
    }
  }
}